Bug 111655

Summary: [CI][RESUME] igt@kms_getfb@getfb-reject-ccs - skip - Test requirement: add_ccs.handles[0] != 0, SKIP
Product: DRI Reporter: Martin Peres <martin.peres>
Component: DRM/IntelAssignee: Intel GFX Bugs mailing list <intel-gfx-bugs>
Status: RESOLVED FIXED QA Contact: Intel GFX Bugs mailing list <intel-gfx-bugs>
Severity: not set    
Priority: high CC: intel-gfx-bugs
Version: XOrg git   
Hardware: Other   
OS: All   
Whiteboard:
i915 platform: TGL i915 features: display/Other

Description Martin Peres 2019-09-11 11:02:26 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_365/fi-tgl-u/igt@kms_getfb@getfb-reject-ccs.html

Starting subtest: getfb-reject-ccs
Test requirement not met in function test_duplicate_handles, file ../tests/kms_getfb.c:217:
Test requirement: add_ccs.handles[0] != 0
Subtest getfb-reject-ccs: SKIP (0.000s)
Comment 2 Mika Kahola 2019-09-16 09:25:32 UTC
The IGT test kms_getfb tests frambuffer ioctl's. The DRM ioctl DRM_IOCTL_MODE_GETFB is used to retrieve information about a given
framebuffer ID. The tests include input tests with handles including zero handle, valid handle, closed handle and not framebuffer handle. Duplicates are being tested with subtests of having different handles for two fb's, repeated different handles for fb's and CCS rejection.

The failure is occurring in getfb-reject-ccs tests indicating that we are not correctly handling the CCS for TGL.

User may experience a black screen when failing to create fb. In this bug the question is mainly on TGL CCS which is a feature that has incomplete support on IGT. 


#assessment
Comment 3 ashutosh.dixit 2019-11-07 19:36:54 UTC
#assessment

Continues to occur with 100% repro rate. Description of CCS from kms_ccs.c:

IGT_TEST_DESCRIPTION("Test render compression (RC), in which the main surface "
                     "is complemented by a color control surface (CCS) that "
                     "the display uses to interpret the compressed data.");

From Mika's comment above, looks like a IGT issue not a i915 issue. Wondering if this patch series will help, even though it is there to enable render_copy but seems to be adding CCS support in the igt/lib:

https://patchwork.freedesktop.org/series/69012/
Comment 5 Jani Saarinen 2019-11-22 12:23:23 UTC
Can be closed when this goes to green
https://intel-gfx-ci.01.org/tree/drm-tip/shards-all.html?testfilter=getfb-reject

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.